using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;

namespace Crysanthem
{
    public class Cursor
    {
        private float m_x, m_y;
        private bool m_active;

        public Vector2 Position
        {
            get { return new Vector2(m_x, m_y); }
        }

        public bool Active
        {
            get { return m_active; }
            set { m_active = value; }
        }

        public Cursor()
        {
            m_active = true;
        }

        public void Reset()
        {
            m_x = m_y = 0.0f;
        }

        public void Update()
        {
            if (!m_active)
                return;

#if !XBOX
            m_x = Mouse.GetState().X;
            m_y = Mouse.GetState().Y;
#endif

            // Gamepad movement
            float sx = GamePad.GetState(PlayerIndex.One).ThumbSticks.Left.X;
            float sy = GamePad.GetState(PlayerIndex.One).ThumbSticks.Left.Y;

            if (Math.Abs(sx) > 0.1f)
                m_x += sx * 5.0f;
            if (Math.Abs(sy) > 0.1f)
                m_y += -sy * 5.0f;

            // Clamp the movement
            if (m_x < 0)
                m_x = 0;
            if (m_x > 800)
                m_x = 800;

            if (m_y < 0)
                m_y = 0;
            if (m_y > 600)
                m_y = 600;
        }
    }
}
