using System;
using System.Collections.Generic;
using System.Text;

namespace Crysanthem
{
    public static class MathUtil
    {
        public static float MapRange(float val, float from_min, float from_max, float to_min, float to_max)
        {
            float t;

            if (from_min == from_max)
                return to_min;

            if (from_min <= from_max)
            {
                t = (val - from_min) / (from_max - from_min);

                if (t < 0) t = 0;
                if (t > 1) t = 1;
            }
            else
            {
                if (val > from_min)
                    t = 1;
                else if (val < from_max)
                    t = 0;
                else
                    t = (val - from_min) / (from_max - from_min);
            }

            return to_min + t * (to_max - to_min);
        }

        public static String FloatToString(float t)
        {
            int whole = (int)t;
            float fracf = t - whole;
            int frac = (int)(fracf * 100.0f);

            if (frac < 10)
                return "" + whole + ".0" + frac;
            else
                return "" + whole + "." + frac;
        }
    }
}
