using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace Crysanthem
{
    public class Resources
    {
        public Game game;
        public IScreenControl screen_control;
        public GraphicsDeviceManager graphics;
        public ContentManager content;

        public SpriteBatch sprite_batch;
        public GameFieldList fields;

        public SpriteFont font;
        public ItemRenderer item_renderer;

        public Resources(GameMain _game, GraphicsDeviceManager _graphics, ContentManager _content)
        {
            game = _game;
            screen_control = _game;
            graphics = _graphics;
            content = _content;

            sprite_batch = new SpriteBatch(graphics.GraphicsDevice);
            fields = new GameFieldList(this);
        }

        public void Load()
        {
            font = content.Load<SpriteFont>("Content/MainFont");
            item_renderer = new ItemRenderer(graphics.GraphicsDevice);
        }

        public void Unload()
        {
        }
    }
}
