using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Crysanthem
{
    [Serializable]
    public struct VertexPositionNormalColor
    {
        public static VertexElement[] VertexElements = new VertexElement[]
            {
                new VertexElement(0, 0, VertexElementFormat.Vector3, VertexElementMethod.Default, VertexElementUsage.Position, 0),
                new VertexElement(0, 12, VertexElementFormat.Vector3, VertexElementMethod.Default, VertexElementUsage.Normal, 0),
                new VertexElement(0, 24, VertexElementFormat.Color, VertexElementMethod.Default, VertexElementUsage.Color, 0),
            };

        public Vector3 Position;
        public Vector3 Normal;
        public Color Color;

        public static int SizeInBytes
        {
            get { return (3+3+1) * 4; }
        }

        public VertexPositionNormalColor(Vector3 pos, Vector3 norm, Color col)
        {
            Position = pos;
            Normal = norm;
            Color = col;
        }
    }
}
